Bug 234467 - 2.6.19 or 2.6.20 with vmware cause system freeze
2.6.19 or 2.6.20 with vmware cause system freeze
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-29 10:36 EDT by peter young
Modified: 2008-05-06 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description peter young 2007-03-29 10:36:50 EDT
Description of problem:System freezes after a few minutes of running vmware 
workstation or Vmplayer


Version-Release number of selected component (if applicable):
No problems under 2.6.18 kernel
Definitely a problem under 2.6.19 and 2.6.20 on a dual core x86_64 e.g. Turion 
x2



How reproducible:
Always

Steps to Reproduce:
1. Logon to Gnome
2. Start VMware workstation or vmplayer with a guest operating system e.g. 
Windows XP.
3. Wait 2 to 10 minutes

  
Actual results:
PC freezes 
No response to any keys including Ctr-Alt-F1
A powercyle is required.


Expected results:
Vmware and Fedora carry on working normally

Additional info:
only message in /var/log/messages which occurs before each freeze is this one:

kernel: ioctl32(vmware-vmx:4668): Unknown cmd fd(145) cmd(40109980){00} arg
(ff8e52d0) on /proc/bus/usb/003/001


with values 4668 and ff8e52d0 replaced by different ids on each occasion.

see vmware logs in vmware forums
http://www.vmware.com/community/thread.jspa?messageID=610690
http://www.vmware.com/community/thread.jspa?messageID=608877
http://www.vmware.com/community/thread.jspa?messageID=610583
Comment 1 peter young 2007-03-30 09:00:11 EDT
Could this be linked to this issue ?

http://lkml.org/lkml/2006/12/4/390
Comment 2 Jan Vlug 2008-01-08 07:53:14 EST
My vmware-player crashed when opening a virtual machine. After uninstalling the
fedora virtualization packages and rebooting, vmware-player worked again. I am
also using  x86_64.
Comment 3 Jan Vlug 2008-01-08 07:54:19 EST
Forgot to mention that I am using Fedora 8 completely up-to-date.
Comment 4 Bug Zapper 2008-04-04 02:43:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:26:31 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.